Page MenuHomePhabricator

Section number in issues is reported incorrectly.
Closed, ResolvedPublic3 Story Points

Description

When visiting http://reading-web-staging.wmflabs.org/w/index.php?title=Roman_Catholic_Diocese_of_Darwin&mobileaction=toggle_view_mobile and clicking the issue in the history section, the section number 2 doesn't correspond with the actual section number (1). This will cause problems in our instrumentation.

This appears to relate to the mobile-toc that is added by MobileFrontend which contains an h2.

The fix is relatively simple - updating the selector in Page.HEADING_SELECTOR or providing a function that filters out the h2.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterSection headings should exclude table of contents heading

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2018, 5:55 PM
Jdlrobson set the point value for this task to 3.Aug 23 2018, 8:50 PM

From async estimation: provisional 3. We can talk about this Monday during standup. I will work on this now.

Change 455018 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Section headings should exclude table of contents heading

https://gerrit.wikimedia.org/r/455018

Change 455018 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Section headings should exclude table of contents heading

https://gerrit.wikimedia.org/r/455018

ovasileva triaged this task as High priority.Aug 24 2018, 10:07 AM

Skipping design review (none necessary) and QA which will happen as part of T191532

Jdlrobson reassigned this task from Jdlrobson to Tbayer.Aug 27 2018, 9:50 PM

To be signed off as part of next rubber ducky session (to be organised)

Tbayer closed this task as Resolved.Aug 31 2018, 5:00 PM
Tbayer added a subscriber: Jdrewniak.

@Jdrewniak and I double-checked this again today and the correction section number is now sent in this example.